﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XamDataChart.Models;

namespace XamDataChart.ViewModels
{
  public  class BorrowViewModel:INotifyPropertyChanged
    {


      public BorrowViewModel()
      {
          var borrowModels = new ObservableCollection<Borrow>();

          //Period period = new Period();
          //period.Unit = TimeUnit.Month;
          //for (int i = 0; i < 3; i++)
          //{
          //    var borrow = new Borrow();
          //    period.Duration = i + 5 * i;
          //    borrow.Period = period;
          //    borrow.BorrowRate = 1 + 5 * i;
          //    borrowModels.Add(borrow);
          //}
          CurrentModels = borrowModels;
      }

      private ObservableCollection<Borrow> _currentModels;

      public ObservableCollection<Borrow> CurrentModels
        {
            get { return this._currentModels; }
            set
            {
                this._currentModels = value;
                this.NotifyPropertyChanged("CurrentModels");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

      
        
}
